[résolu] Bug sur Ubuntu 16.04 avec "pepperflash" et "Chromium-codecs-ffmpeg-extra

mai 2016 modifié dans Rapporter des bugs
Bonjour tout le monde :)

J'ai installé la nouvelle Ubuntu 16.04 sur mon ordi de tests et Vivaldi n'arrive pas à intégrer "pepperflashplugin-nonfree" et "chromium-codecs-ffmpeg-extra". Évidemment ils sont bien installé, mais ne fonctionne pas avec Vivaldi.

Pourtant si je lance le logiciel via le terminal tout fonctionne bien. Petite capture vidéo ici: http://xn--pp-oia.com/dl/Hhia

J'ai vu sur le forum anglophone le même problème: https://vivaldi.net/en-US/forum/vivaldi-browser-for-linux/10505-vivaldi-snapshot-and-stable-can-t-find-pepperflash .

Est-ce qu'il existe une méthode pour corriger la situation ou si je dois attendre une mise à jour ?

Pkador


[edit] Aucun problème avec Opera.

[re-edit] Oupsss j'ai oublié de copier le retour du terminal:
OptiPlex-755:~$ vivaldi-stable
[13461:13461:0426/050039:ERROR:browser_plugin_guest.cc(441)] Attempting to require callback on nonexistent surface
[13461:13461:0426/050039:ERROR:browser_plugin_guest.cc(441)] Attempting to require callback on nonexistent surface

Réponses

  • avril 2016 modifié
    Bonjour Pkador,

    Je n'utilise pas flash mais j'ai chromium-codecs-ffmpeg-extra installé (qui s'appelle vivaldi-ffmpeg-codecs pour la version stable de Vivaldi sur Arch Linux) et c'est suffisant pour lire les vidéos sur Youtube.

    Je viens d'essayer sur ta vidéo Prince - Super Bowl XLI Halftime Show et je ne rencontre aucun problème. Il est peut-être spécifique à Ubuntu mais je ne vois pas d'où cela peut provenir.

    Vivaldi 1.1 vient de sortir en version stable => https://vivaldi.net/en-US/teamblog/110-vivaldi-1-1-is-here
    Tu devrais l'installer et réessayer.
  • avril 2016 modifié
    Bonjour FarStar

    Sur ma Voyager 14.04 tout va bien, c'est un problème qui semble spécifique à Ubuntu 16.04. Et ça ne fonctionne pas non plus avec la nouvelle version 1.1.

    Un bug étrange.
  • avril 2016 modifié
    Je lis ici : http://www.webupd8.org/2016/04/how-to-get-flash-and-h264-to-work-in.html
    Update: the bug that caused pepperflashplugin-nonfree not to work in Ubuntu 16.04 was fixed.
    Hélas, le lien indiqué semble mort...

    Edit: oui, ici : https://bugs.launchpad.net/ubuntu/+source/pepperflashplugin-nonfree/+bug/1527426
  • avril 2016 modifié
    J'avais vu cette référence et le lien mort dans mes recherches, mais je n'avais pas vu ton dernier lien... Si je comprends bien il y a un bug récent concernant pepperflashplugin... C'est bien ça ?

    Pour le moment le bug ne me dérange pas, car c'est sur mon ordi de tests. Mais j'espère qu'ils vont trouver un correctif avant ma migration vers Voyager 16.04...

    [edit]J'ai un message semblable lorsque je fais cette commande pour mettre à jour pepperflashplugin-nonfree:
    update-pepperflashplugin-nonfree --install
    

    Qui me donne à peu près comme celui-ci:
    W: gpgv:./var/lib/apt/lists/partial/dl.google.com_linux_chrome_deb_dists_stable_Release.gpg: The repository is insufficiently signed by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 (weak digest)
    

    [ajout] Le message exact du retour de la commande étant:
    WARNING: W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)
    pkadd@pkadd-OptiPlex-755:~$ 
    

    À cette adresse: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=818540

    En théorie c'est le même bug... Alors patience.

    Merci FarStar :)
  • mai 2016 modifié
    Bonjour,

    Je teste dans une VM Voyager 16.04 (Xubuntu) et je constate que "pepperflash" ainsi que "Chromium-codecs-ffmpeg-extra" ne fonctionne pas du tout avec "vivaldi-stable", mais tout est parfait avec "vivaldi-snapshot".

    Donc une mise à jour viendra corriger la situation très bientôt. :)

    Pkador

    [edit] Évidemment cela se corrigera pour Ubuntu et toutes ses variantes.
  • Slt,
    J'ai des soucis avec la lecture des vidéos, mais là il m'arrive un truc bizarre : sur 2 vidéos youtube, une seule est visionnable, l'autre me demande de mettre à jour flash...:
    cychmvdleam3.png
    Également, je ne peux plus écouter la radio en ligne avec Vivaldi, alors qu'auparavant je pouvais.
  • mai 2016 modifié
    @Bosco: tu as un exemple de radio en ligne qui ne passe plus ?
  • Idem avec Spotify ici (Ubuntu 16.10) pepper flash installé (ok sur chromium/firefox)

  • Le problème est peut-être réglé avec cette mise à jour (correction du chemin vers Adobe Pepper (PPAPI) plugin) ?
    https://vivaldi.net/fr/teamblog/172-minor-update-to-vivaldi-1-4-for-linux-adobe-flash-fix